> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/get-all-public-signup-tokens/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # Get public signup tokens GET https://app.unleash-instance.example.com/api/admin/invite-link/tokens Retrieves all existing public signup tokens. Reference: https://docs.getunleash.io/api/get-all-public-signup-tokens ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Response ### 200 publicSignupTokensSchema - `tokens` (list of publicSignupTokenSchema, required) — An array of all the public signup tokens ## Types ### publicSignupTokenSchema Used for transporting a [public invite link](https://docs.getunleash.io/concepts/public-signup#public-sign-up-tokens) - `secret` (string, required) — The actual value of the token. This is the part that is used by Unleash to create an invite link - `url` (string, required, nullable) — The public signup link for the token. Users who follow this link will be taken to a signup page where they can create an Unleash user. - `name` (string, required) — The token's name. Only for displaying in the UI - `enabled` (boolean, required) — Whether the token is active. This property will always be `false` for a token that has expired. - `expiresAt` (string, required) — The time when the token will expire. - `createdAt` (string, required) — When the token was created. - `createdBy` (string, required, nullable) — The creator's email or username - `role` (roleSchema, required) — Users who sign up using this token will be given this role. - `users` (list of userSchema, optional, nullable) — Array of users that have signed up using the token. ### roleSchema A role holds permissions to allow Unleash to decide what actions a role holder is allowed to perform - `id` (integer, required) — The role id - `type` (string, required) — A role can either be a global root role (applies to all projects) or a project role - `name` (string, required) — The name of the role - `description` (string, optional) — A more detailed description of the role and what use it's intended for - `project` (string, optional, nullable) — What project the role belongs to ### userSchema An Unleash user - `id` (integer, required) — The user id - `name` (string, optional, nullable) — Name of the user - `email` (string, optional) — Email of the user - `username` (string, optional, nullable) — A unique username for the user - `imageUrl` (string, optional) — URL used for the user profile image - `inviteLink` (string, optional) — If the user is actively inviting other users, this is the link that can be shared with other users - `loginAttempts` (integer, optional) — How many unsuccessful attempts at logging in has the user made - `emailSent` (boolean, optional) — Is the welcome email sent to the user or not - `rootRole` (integer, optional) — Which [root role](https://docs.getunleash.io/concepts/rbac#predefined-roles) this user is assigned - `seenAt` (string, optional, nullable) — The last time this user logged in - `createdAt` (string, optional) — The user was created at this time - `accountType` (enum, optional) — A user is either an actual User or a Service Account - Allowed values: `User`, `Service Account` - `permissions` (list of string, optional) — Deprecated - `scimId` (string, optional, nullable) — The SCIM ID of the user, only present if managed by SCIM - `seatType` (string, optional, nullable) — The seat type of this user - `companyRole` (string, optional, nullable) — The role of the user within the company. - `productUpdatesEmailConsent` (boolean, optional, nullable) — Whether the user has consented to receive product update emails. - `activeSessions` (integer, optional, nullable) — Count of active browser sessions for this user - `deletedSessions` (double, optional) — Experimental. The number of deleted browser sessions after last login ## Examples **Response** ```json { "tokens": [ { "secret": "a3c84b25409ea8ca1782ef17f94a42fc", "url": "https://my_unleash_instance/new-user?invite=a3c84b25409ea8ca1782ef17f94a42fc", "name": "Invite public viewers", "enabled": false, "expiresAt": "2023-04-12T11:13:31.960Z", "createdAt": "2023-04-12T11:13:31.960Z", "createdBy": "someone", "role": { "id": 3, "type": "root", "name": "Viewer" }, "users": null } ] } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/invite-link/tokens" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/invite-link/tokens'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/invite-link/tokens" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/invite-link/tokens") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/invite-link/tokens") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/invite-link/tokens', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/invite-link/tokens"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/invite-link/tokens")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```